import { select, arc } from 'd3';

const svg = select('svg');

const width = +svg.attr('width');
const height = +svg.attr('height');

const g = svg.append('g')
  .attr('transform', `translate(${width / 2}, ${height / 2})`);

const circle = g.append('circle');

circle.attr('r', height / 2);
circle.attr('fill', 'yellow');
circle.attr('stroke', 'black');


const arcOptions = {
	    innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3 / 2
};
const eyeSpacing = 100;
const eyeOffset = 80;
const eyebrowWidth = 70;
const eyebrowHeight = 20;
const eyebrowYoffset = 60;

const eyeGroup = 
  g.append('g')
    .attr('transform', `translate(0, ${-eyeOffset})`);

const leftEye = eyeGroup.append('circle');
const rightEye = eyeGroup.append('circle');


leftEye.attr('r', 30)
	.attr('cx', -eyeSpacing);

rightEye.attr('r', 30)
	.attr('cx', eyeSpacing);

const eyeBrowsGroup = eyeGroup.append('g')
		.attr('transform', `translate(0, ${-eyebrowYoffset})`);
eyeBrowsGroup
	.transition().duration(2000)
	.attr('transform', `translate(0, ${-eyebrowYoffset - 50})`)
	.transition().duration(2000)
	.attr('transform', `translate(0, ${-eyebrowYoffset})`);


const leftEyebrow = 
  eyeBrowsGroup.append('rect')
		.attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
		.attr('x', -eyeSpacing - eyebrowWidth / 2);

const rightEyebrow = 
  eyeBrowsGroup.append('rect')
		.attr('width', eyebrowWidth)
    .attr('height', eyebrowHeight)
		.attr('x', eyeSpacing - eyebrowWidth / 2);

const mouth = 
  g.append('path')
		.attr('d', arc()(arcOptions));

